Bug 104269 - [IGT][SKL only] igt@prime_vgem@basic-fence-flip -dmesg-warn *ERROR* LSPCON mode hasn't settled
Summary: [IGT][SKL only] igt@prime_vgem@basic-fence-flip -dmesg-warn *ERROR* LSPCON mo...
Status: CLOSED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: high critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-14 20:28 UTC by Elizabeth
Modified: 2018-09-04 11:23 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: display/LSPCON


Attachments
kern_log_SKL_FF (17.96 MB, text/plain)
2017-12-20 16:41 UTC, Elizabeth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elizabeth 2017-12-14 20:28:02 UTC
On SKL with igt@prime_vgem@basic-fence-flip

IGT-Version: 1.20-g1db1246 (x86_64) (Linux: 4.15.0-rc2-drm-intel-qa-ww49-commit-1a0d67e+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.679s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

We're also getting the message:

[  453.145388] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settle

Open a new bug as instructed in https://bugs.freedesktop.org/show_bug.cgi?id=103313#c26 
Will add further information as soon as I have logs available.
Comment 1 Elizabeth 2017-12-18 21:23:40 UTC
After LSPCON FW update on SKL the error haven't been saw again. We'll be monitoring the test and will reopen if needed.
Comment 2 Elizabeth 2017-12-19 17:24:03 UTC
And, it happened again 
igt@prime_vgem@basic-fence-flip
Stdout	
IGT-Version: 1.20-gfda6c10 (x86_64) (Linux: 4.15.0-rc4-drm-intel-qa-ww51-commit-e044c9e+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.664s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)
dmesg:
[  446.457983] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
I need to get logs.
Comment 3 Elizabeth 2017-12-20 16:41:33 UTC
Created attachment 136327 [details]
kern_log_SKL_FF

With today's cycle:

igt@prime_vgem@basic-fence-flip
	
IGT-Version: 1.20-gd3bcc7d (x86_64) (Linux: 4.15.0-rc4-drm-intel-qa-ww51-commit-b480e79+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.668s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

From dmesg:
[  439.582567] [drm:verify_single_dpll_state.isra.114 [i915]] DPLL 0
[  439.582582] [drm:verify_single_dpll_state.isra.114 [i915]] DPLL 1
[  439.582597] [drm:verify_single_dpll_state.isra.114 [i915]] DPLL 2
[  439.582611] [drm:verify_single_dpll_state.isra.114 [i915]] DPLL 3
[  439.582628] [drm:intel_enable_shared_dpll [i915]] enable DPLL 1 (active 3, on? 1) for crtc 37
[  439.582648] [drm:intel_power_well_enable [i915]] enabling DDI B IO power well
[  439.586944] [drm:lspcon_wait_mode [i915]] Waiting for LSPCON mode PCON to settle
[  439.692061] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
[  439.692082] [drm:lspcon_wait_mode [i915]] Current LSPCON mode LS
[  439.701141] [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7c1003ff
[  439.709599] [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7c1003ff
[  439.718057] [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7c1003ff
[  439.726517] [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7c1003ff
[  439.734972] [drm:intel_dp_aux_ch [i915]] dp_aux_ch timeout status 0x7c1003ff
Comment 4 Elizabeth 2018-01-02 20:43:24 UTC
Stil present with IGT-Version 1.20-gd86d53b, kernel 4.15.0-rc6 commit-cb4a985+
Comment 5 Elizabeth 2018-01-10 15:53:45 UTC
IGT-Version: 1.20-g834321a (x86_64) (Linux: 4.15.0-rc7-drm-intel-qa-ww2-commit-d373aa7+ x86_64)
[  442.764715] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 6 Elizabeth 2018-01-22 22:03:55 UTC
igt@prime_vgem@basic-fence-flip

IGT-Version: 1.21-g94bd67c (x86_64) (Linux: 4.15.0-rc9-drm-intel-qa-ww4-commit-8748fd9+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.676s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

[  480.728478] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 7 Elizabeth 2018-02-02 21:45:20 UTC
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.15.0-drm-intel-qa-ww5-commit-4244f98+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.676s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

[  476.702087] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 8 Elizabeth 2018-02-12 22:05:25 UTC
igt@prime_vgem@basic-fence-flip

Seen again:
Stdout	
IGT-Version: 1.21-g37bd27f (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww7-commit-28dc2a5+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.707s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

dmesg	
[  475.544458] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 9 Elizabeth 2018-02-22 23:39:47 UTC
Today's run:
igt@prime_vgem@basic-fence-flip
Stdout	
IGT-Version: 1.21-gdd61508 (x86_64) (Linux: 4.16.0-rc1-drm-intel-qa-ww8-commit-67f1480+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.675s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)
dmesg	
[  445.112458] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 10 Elizabeth 2018-03-01 23:48:43 UTC
igt@prime_vgem@basic-fence-flip

Stdout	
IGT-Version: 1.21-g6a06d01 (x86_64) (Linux: 4.16.0-rc3-drm-intel-qa-ww9-commit-4f93bc6+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.715s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

dmesg	
[  408.651964] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 11 Elizabeth 2018-03-05 18:11:29 UTC
Dmesg-warn still present with 4.16.0-rc3 commit-995edb2+
igt@prime_vgem@basic-fence-flip

[  408.651964] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 12 Elizabeth 2018-03-12 17:47:48 UTC
Today's FF with 4.16.0-rc4 commit-73f9dfa
igt@prime_vgem@basic-fence-flip

[  408.651964] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 13 Elizabeth 2018-03-20 23:44:26 UTC
igt@prime_vgem@basic-fence-flip
Out	
IGT-Version: 1.22-gb09e979 (x86_64) (Linux: 4.16.0-rc6-drm-intel-qa-ww12-commit-141def2+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.677s)
Dmesg	
[  424.838707] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 14 Jani Saarinen 2018-03-29 07:11:23 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 15 Jani Saarinen 2018-03-29 08:43:52 UTC
isn't this dup of https://bugs.freedesktop.org/show_bug.cgi?id=103313?
Comment 16 Elizabeth 2018-04-04 15:21:56 UTC
(In reply to Jani Saarinen from comment #15)
> isn't this dup of https://bugs.freedesktop.org/show_bug.cgi?id=103313?

From https://bugs.freedesktop.org/show_bug.cgi?id=103313#c26:

(In reply to Marta Löfstedt from comment #26)
> (In reply to Elizabeth from comment #25)
> > Hello Marta, I added SKL before the [KBL only] was added, should I open a
> > new bug for SKL? Thank you.
> 
> yes. The reason why I want to separate these bugs on platforms, is that the
> LSPCON HW could be different and we usually need to cooperate with the
> LSPCON vendors in order to solve these type of bugs.
Comment 17 Elizabeth 2018-04-04 15:22:46 UTC
Also today's results:

Results for igt@prime_vgem@basic-fence-flip
Result: dmesg-warn

Stdout	
IGT-Version: 1.22-gcad5fc0 (x86_64) (Linux: 4.16.0-rc7-drm-intel-qa-ww14-commit-1c1f24f+ x86_64)
Subtest basic-fence-flip: SUCCESS (0.675s)
Test requirement not met in function __real_main757, file prime_vgem.c:849:
Test requirement: vgem_fence_has_flag(vgem, WIP_VGEM_FENCE_NOTIMEOUT)

dmesg	
[  413.332341] [drm:lspcon_wait_mode [i915]] *ERROR* LSPCON mode hasn't settled
Comment 18 Jani Saarinen 2018-04-23 19:50:31 UTC
Marta, have you seen this on SKL on CI?
Comment 19 Martin Peres 2018-09-04 11:22:57 UTC
We cannot get updates anymore from Elizabeth, and we have other bugs tracking LSPCON issues. Closing as INVALID.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.